Debian Bug report logs - #608025
[debian-installer] Windows 7 entry is not written to GRUB list

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>

Date: Sun, 26 Dec 2010 05:09:01 UTC

Severity: normal

Tags: d-i

Merged with 587397, 603107, 608219, 609251

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package debian-installer. (Sun, 26 Dec 2010 05:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Belmonte <eaglescreen@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Dec 2010 05:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Belmonte <eaglescreen@gmail.com>
To: submit@bugs.debian.org
Subject: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Sun, 26 Dec 2010 06:06:55 +0100
Package: debian-installer
Version: 20101127
Severity: important

--- Please enter the report below this line. ---
Debian Installer detects property my Windows 7 OS, so I proceed installing 
grub in the MBR, but later Windows 7 entry is not in the Grub menu, I have to 
run manually 'update-grub' with Debian booted to make it to appear.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.32-5-686

Debian Release: squeeze/sid
  500 testing         security.debian.org 
  500 testing         deb.opera.com 
  500 testing         cdn.debian.net 

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.







Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Sun, 26 Dec 2010 11:54:05 GMT) Full text and rfc822 format available.

Notification sent to Rafael Belmonte <eaglescreen@gmail.com>:
Bug acknowledged by developer. (Sun, 26 Dec 2010 11:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 608025-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Rafael Belmonte <eaglescreen@gmail.com>, 608025-done@bugs.debian.org
Subject: Re: Bug#608025: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Sun, 26 Dec 2010 11:50:31 +0000
Hi,

A Domingo 26 Dezembro 2010 05:06:55 Rafael Belmonte vocĂȘ escreveu:
> Package: debian-installer
> Version: 20101127
> Severity: important

[...]

You used a pre-beta2 version of the installer in which that was a known 
problem. Beta2 fixed several issues regarding operating systems detection.

Please test with beta2 [1], or latest dailies, and report back if you still 
experience any issues.


1 - http://cdimage.debian.org/cdimage/squeeze_di_beta2/i386/iso-cd/debian-
squeeze-di-beta2-i386-netinst.iso


-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package debian-installer. (Sat, 01 Jan 2011 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 16:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 608025@bugs.debian.org (full text, mbox):

From: Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>
To: 608025@bugs.debian.org
Subject: Re: Bug#608025: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Sat, 01 Jan 2011 16:10:11 +0000
Hi,

I have noted the same issue and workaround as Rafael but I am using 
Squeeze beta 2:

    Debian GNU/Linux squeeze-di-beta2 "Squeeze" - Official Beta i386
                      NETINST Binary-1 20101203-16:34

I have now tried again with:

    Debian GNU/Linux testing "Squeeze" - Official Snapshot i386 NETINST
                          Binary-1 20110101-09:10

as suggested by Miguel with the same unfortunate result.

I have this issue on a old machine with Windows 2000 and on not-as-old 
laptop with Windows XP Home.

After installation, the section that one expects 
/etc/grub.d/30_os-prober to have filled in is empty.
After running update-grub, the section appears to have been filled in 
correctly.

I don't have this problem on the only other machine I have that has a 
second OS installed.
However, in this last case, the second OS is an old Debian on a second 
hard disk.
The installation here used a USB installer in conjunction with the amd64 
net installer
and not a straight net install from CD.

Happy New Year,
   Paul Bryan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package debian-installer. (Sat, 01 Jan 2011 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 17:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 608025@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>, 608025@bugs.debian.org
Subject: Re: Bug#608025: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Sat, 01 Jan 2011 17:32:21 +0000
Hi,

thanks for testing debian installer.
On the installer log [1] it should be visible if os-prober detected the
other operating systems or not.

In my netbook (with xp and recovery), running:
~$ sudo cat /var/log/installer/syslog | grep result

returns:

Dec 27 20:16:31 20microsoft: result: /dev/sda1:Microsoft Windows XP Home
Edition:Windows:chain
Dec 27 20:16:32 20microsoft: result: /dev/sda3:Windows
NT/2000/XP:Windows1:chain
Dec 27 20:19:11 20microsoft: result: /dev/sda3:Windows
NT/2000/XP:Windows:chain
Dec 27 20:19:29 20microsoft: result: /dev/sda1:Microsoft Windows XP Home
Edition:Windows:chain
Dec 27 20:19:29 20microsoft: result: /dev/sda3:Windows
NT/2000/XP:Windows1:chain

Can you check in your system if os-prober detects the other operating
systems?

Also sending the installation log (gzipped) would be useful.

Depending on whether os-prober detects or not we should reassign the bug
from installation report to a package (os-prober or grub-installer).

1 - /var/log/installer/syslog

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package debian-installer. (Sat, 01 Jan 2011 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 21:09:05 GMT) Full text and rfc822 format available.

Message #25 received at 608025@bugs.debian.org (full text, mbox):

From: Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: 608025@bugs.debian.org
Subject: Re: Bug#608025: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Sat, 01 Jan 2011 21:03:55 +0000
[Message part 1 (text/plain, inline)]
Hi,

It looks like the os-prober found the Windows OS all right - the 
installer dialog suggested this:

Jan  1 13:57:27 20microsoft: result: /dev/sda1:Microsoft Windows 2000 
Professional:Windows:chain
Jan  1 15:22:29 20microsoft: result: /dev/sda1:Microsoft Windows 2000 
Professional:Windows:chain

gzipped installer syslog attached as requested.

I hope this helps,

  Paul-Bryan
[syslog.gz (application/gzip, inline)]

Changed Bug submitter to 'Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>' from 'Rafael Belmonte <eaglescreen@gmail.com>' Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 19:42:02 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 19:42:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debian-installer' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 19:42:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-installer/20101127. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 19:42:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 21:48:03 GMT) Full text and rfc822 format available.

Merged 608025 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 21:48:04 GMT) Full text and rfc822 format available.

Merged 603107 608025 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 08 Jan 2011 10:24:13 GMT) Full text and rfc822 format available.

Merged 603107 608025 608219 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 17:09:10 GMT) Full text and rfc822 format available.

Merged 587397 603107 608025 608219 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 17:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package grub-installer. (Wed, 02 Feb 2011 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Feb 2011 23:57:03 GMT) Full text and rfc822 format available.

Message #48 received at 608025@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>
Cc: Miguel Figueiredo <elmig@debianpt.org>, 608025@bugs.debian.org
Subject: Re: Bug#608025: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Wed, 2 Feb 2011 23:54:34 +0000
[Dear Miguel and others: Please do not merge this report, or others
presenting a similar symptom, with any other bug report.  There are
multiple possible causes for each bug - I've fixed more than one myself
in the past - and so each report must have its root cause analysed
independently.  Merging two bugs amounts to a statement that they have
the same cause.  While this may be true, we simply don't know yet, and
if we merge them prematurely when there happen to be multiple problems
then we will probably miss that fact.]

On Sat, Jan 01, 2011 at 09:03:55PM +0000, Paul Bryan Roberts wrote:
> It looks like the os-prober found the Windows OS all right - the  
> installer dialog suggested this:
>
> Jan  1 13:57:27 20microsoft: result: /dev/sda1:Microsoft Windows 2000  
> Professional:Windows:chain
> Jan  1 15:22:29 20microsoft: result: /dev/sda1:Microsoft Windows 2000  
> Professional:Windows:chain

The syslog shows that os-prober detects it the first time grub-installer
runs it (which is when it's installing the grub-pc package), like so:

Jan  1 13:57:26 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/sda1
Jan  1 13:57:26 kernel: [ 5258.526137] NTFS volume version 3.0.
Jan  1 13:57:26 50mounted-tests: debug: mounted as ntfs filesystem
Jan  1 13:57:26 50mounted-tests: debug: running subtest /usr/lib/os-probes/mounted/10freedos
Jan  1 13:57:26 10freedos: debug: /dev/sda1 is not a FAT partition: exiting
Jan  1 13:57:26 50mounted-tests: debug: running subtest /usr/lib/os-probes/mounted/10qnx
Jan  1 13:57:26 10qnx: debug: /dev/sda1 is not a QNX4 partition: exiting
Jan  1 13:57:26 50mounted-tests: debug: running subtest /usr/lib/os-probes/mounted/20macosx
Jan  1 13:57:26 macosx-prober: debug: /dev/sda1 is not an HFS+ partition: exiting
Jan  1 13:57:26 50mounted-tests: debug: running subtest /usr/lib/os-probes/mounted/20microsoft
Jan  1 13:57:26 20microsoft: debug: /dev/sda1 is a NTFS partition
Jan  1 13:57:27 20microsoft: result: /dev/sda1:Microsoft Windows 2000 Professional:Windows:chain
Jan  1 13:57:27 50mounted-tests: debug: os found by subtest /usr/lib/os-probes/mounted/20microsoft
Jan  1 13:57:27 os-prober: debug: os detected by /usr/lib/os-probes/50mounted-tests
Jan  1 13:57:27 os-prober: debug: running /usr/lib/os-probes/mounted/10freedos on mounted /dev/sda10

But the second time through (when it manually calls update-grub) it just
does this:

Jan  1 15:21:34 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/sda1
Jan  1 15:21:37 os-prober: debug: running /usr/lib/os-probes/mounted/10freedos on mounted /dev/sda10

The next time os-prober is called is from finish-install, and that's
what generates the 15:22:29 log entry you quoted.

The first run of os-prober within grub-installer and the run of
os-prober within finish-install both take place in the installer root
filesystem.  The second run of os-prober within grub-installer, the one
which fails, takes place chrooted to the target system.  That's
overwhelmingly likely to be the problem here.  os-prober-udeb and
os-prober are at the same version here (1.42), so it's not a version
skew problem.

On the balance of probabilities, I suppose that this has something to do
with the changes I made in os-prober 1.40, but I'm not currently sure
what.

Paul, could you describe your partitioning setup?  In particular, did
you tell the partitioner to mount /dev/sda1 anywhere?

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package grub-installer. (Sat, 05 Feb 2011 12:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 05 Feb 2011 12:51:02 GMT) Full text and rfc822 format available.

Message #53 received at 608025@bugs.debian.org (full text, mbox):

From: Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>
To: Colin Watson <cjwatson@debian.org>
Cc: Miguel Figueiredo <elmig@debianpt.org>, 608025@bugs.debian.org
Subject: Re: Bug#608025: [debian-installer] Windows 7 entry is not written to GRUB list
Date: Sat, 05 Feb 2011 12:47:37 +0000
Hi Colin,

Sorry but I've been busy this week and haven't checked this e-mail account
for several days.

Colin Watson wrote:

> Paul, could you describe your partitioning setup?
>   
Partition set up on old desktop:

# sudo sfdisk -l /dev/sda1
  Device Boot Start     End   #cyls    #blocks   Id  System
/dev/sda1   *    261     782     522    4192965    7  HPFS/NTFS
/dev/sda2          0+    260-    261-   2095104   82  Linux swap / Solaris
/dev/sda3          0       -       0          0    0  Empty
/dev/sda4        783+   4997    4215-  33856957    f  W95 Ext'd (LBA)
/dev/sda5        783+   1304     522-   4192933+   7  HPFS/NTFS
/dev/sda6       1305+   1826     522-   4192933+   7  HPFS/NTFS
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda7       1827+   2087     261-   2096451   83  Linux
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda8       2088+   2348     261-   2096451   83  Linux
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda9       2349+   2870     522-   4192933+  83  Linux
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda10      2871+   3131     261-   2096451   83  Linux
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda11      3132+   3262     131-   1052226    7  HPFS/NTFS
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda12      3263+   3785     523-   4200966    7  HPFS/NTFS
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda13      3786+   4308     523-   4200966    7  HPFS/NTFS
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)
/dev/sda14      4309+   4997     689-   5534361    7  HPFS/NTFS
               start: (c,h,s) expected (1023,254,63) found (1023,1,1)

Partition set up on laptop:

  Device Boot Start     End   #cyls    #blocks   Id  System
/dev/sda1   *      0+   2425    2426-  19486813+   7  HPFS/NTFS
/dev/sda2       2426    2547     122     979965   82  Linux swap / Solaris
/dev/sda3       2548+   4863    2316-  18603239+   5  Extended
/dev/sda4          0       -       0          0    0  Empty
/dev/sda5       2548+   2669     122-    979933+  83  Linux
/dev/sda6       2670+   2912     243-   1951866   83  Linux
/dev/sda7       2913+   3520     608-   4883728+  83  Linux
/dev/sda8       3521+   3885     365-   2931831   83  Linux
/dev/sda9       3886+   4863     978-   7855753+  83  Linux

Is this the information you want ?

These partition set-ups have not been changed in years.  When I install
Squeeze, I select 'manual' partitioning.  I tell the installer to reuse
Linux partitions for root, home, usr, var and opt.  I tell it to keep
the contents of home and opt but to reformat the others.

I don't go near the Windows partitions - under Lenny I had the auto-mounter
set up to mount these partitions on demand but very rarely did.

Colin Watson wrote

> In particular, did you tell the partitioner to mount /dev/sda1 anywhere?
>   
I guess not.  This issue has come up on the laptop with Beta 2, RC 1 and
RC2.  I've reinstalled Lenny 5.0.7 in between Squeeze installations.

Your hypothesis sounds plausible but would that not also affect 'second'
Linux installations ?

If there is more information you need or you'd like me to try something
out, just let me know and I'll see what I can do.

Paul





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608025; Package grub-installer. (Fri, 30 Mar 2012 00:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 30 Mar 2012 00:27:06 GMT) Full text and rfc822 format available.

Message #58 received at 608025@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 618498@bugs.debian.org, control@bugs.debian.org
Cc: 608025@bugs.debian.org
Subject: Merge
Date: Thu, 29 Mar 2012 20:23:06 -0400
merge 618498 608025
severity 618498 serious
thanks

Colin Watson wrote:
> clone 618498 -1
> reassign 618498 grub-installer: grub-mkconfig does not pick up correct os-prober output when run from installer
> reassign -1 os-prober: Puppy Linux not detected
> thanks
>
> On Tue, Mar 15, 2011 at 06:29:12PM +0100, Erik Grootjans wrote:
> >  I did a clean install of debian 6 Squeeze on my netbook.
> >
> >  After the isnstallation i had only 2 grub items
> >  - debian
> >  - and debian single mode
> >
> >  The other os-s had not been recognized.
> >
> >  I did a upgrade-grub
> >  And grub did found 2 more OS-en
> >
> >  - XP-loader (on /dev/sda1)
> >  -Microsoft XP Home Edition (on /dev/sda2)
>
> This part is a grub-installer bug (which I think has already been
> reported, but I haven't looked up the bug number).

Most likely #608025 (or #587397).




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:54:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.